# FlutterSoundHelper class

`FlutterSoundHelper()` is a singleton which offers some utilities for handling audio files and buffers.

## Constructors

FlutterSoundHelper.new()
  The factory which returns the Singleton
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
logger ↔ Logger
  The FlutterSoundHelper Logger
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
pcmToWave({required String inputFile, required String outputFile, int numChannels = 1, int sampleRate = 16000, Codec codec = fs_codec.Codec.pcm16}) → Future<void>
  Converts a raw PCM file to a WAVE file.
pcmToWaveBuffer({required Uint8List inputBuffer, int numChannels = 1, int sampleRate = 16000, Codec codec = fs_codec.Codec.pcm16}) → Future<Uint8List>
  Convert a raw PCM buffer to a WAVE buffer.
setLogLevel(Level theNewLogLevel) → void
  Allows you to change the LogLevel.
toString() → String
  A string representation of this object.
  inherited
uint8ListToFloat32List(List<Uint8List> buf, {Endian endian = Endian.little}) → List<Float32List>
  Transform a Uint8List to a Float32List
waveToPCM({required String inputFile, required String outputFile}) → Future<void>
  Convert a WAVE file to a Raw PCM file.
waveToPCMBuffer({required Uint8List inputBuffer}) → Uint8List
  Convert a WAVE buffer to a Raw PCM buffer.

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited